summaryrefslogtreecommitdiffhomepage
path: root/applications/luci-ddns/ipkg
diff options
context:
space:
mode:
Diffstat (limited to 'applications/luci-ddns/ipkg')
-rw-r--r--applications/luci-ddns/ipkg/postinst5
-rw-r--r--applications/luci-ddns/ipkg/postinst-pkg10
2 files changed, 15 insertions, 0 deletions
diff --git a/applications/luci-ddns/ipkg/postinst b/applications/luci-ddns/ipkg/postinst
index a2c13fa34c..938f746f70 100644
--- a/applications/luci-ddns/ipkg/postinst
+++ b/applications/luci-ddns/ipkg/postinst
@@ -1,5 +1,10 @@
#!/bin/sh
[ -n "${IPKG_INSTROOT}" ] || {
+ # luci updates are not in sync with ddns-script updates !!!
+ # needed because luci update might delete helper script
+ # copy dynamic_dns_helper.tmp.sh from ddns-scripts
+ cp -f /usr/lib/ddns/dynamic_dns_lucihelper.tmp.sh /usr/lib/ddns/dynamic_dns_lucihelper.sh
+
( . /etc/uci-defaults/luci-ddns ) && rm -f /etc/uci-defaults/luci-ddns
exit 0
}
diff --git a/applications/luci-ddns/ipkg/postinst-pkg b/applications/luci-ddns/ipkg/postinst-pkg
new file mode 100644
index 0000000000..938f746f70
--- /dev/null
+++ b/applications/luci-ddns/ipkg/postinst-pkg
@@ -0,0 +1,10 @@
+#!/bin/sh
+[ -n "${IPKG_INSTROOT}" ] || {
+ # luci updates are not in sync with ddns-script updates !!!
+ # needed because luci update might delete helper script
+ # copy dynamic_dns_helper.tmp.sh from ddns-scripts
+ cp -f /usr/lib/ddns/dynamic_dns_lucihelper.tmp.sh /usr/lib/ddns/dynamic_dns_lucihelper.sh
+
+ ( . /etc/uci-defaults/luci-ddns ) && rm -f /etc/uci-defaults/luci-ddns
+ exit 0
+}